Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.optional.image
Class ImageOperation

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.optional.image.ImageOperation

Direct Known Subclasses:
  BasicShape, Text, TransformOperation

public abstract class ImageOperation
extends DataType

See Also:
  `org.apache.tools.ant.tasks.optional.image.Image`

Field Summary
`protected java.util.Vector` | `instructions`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`ImageOperation()`

Method Summary
`void` | `addDraw(Draw instr)`
`void` | `addRectangle(Rectangle instr)`
`void` | `addRotate(Rotate instr)`
`void` | `addScale(Scale instr)`
`void` | `addText(Text instr)`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instructions

    protected java.util.Vector instructions

Constructor Detail

### ImageOperation

    public ImageOperation()

Method Detail

### addRotate

    public void addRotate(Rotate instr)

### addDraw

    public void addDraw(Draw instr)

### addRectangle

    public void addRectangle(Rectangle instr)

### addText

    public void addText(Text instr)

### addScale

    public void addScale(Scale instr)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.